Search earthquakes by date range, magnitude and region box

Searches earthquakes by date range, magnitude and optional bounding box.

Request

GEThttps://earthquakes.p.apihiver.com/v1/search?start=2026-09-01&min_magnitude=6&limit=3
*
String. YYYY-MM-DD.
String. YYYY-MM-DD (default today)
Number. Minimum magnitude (0–10, default 4.5).
String. minLat,minLon,maxLat,maxLon — e.g. India: 6,68,36,98.
Number. Maximum number of results (1–1000, default 100).
Language
Client
1curl --request GET \
2  --url 'https://earthquakes.p.apihiver.com/v1/search?start=2026-09-01&end=%7Bend%7D&min_magnitude=6&bbox=%7Bbbox%7D&limit=3' \
3  --header 'Accept: application/json' \
4  --header 'X-API-Key: YOUR_API_KEY'

Search earthquakes by date range, magnitude and region box: Earthquake API reference

Searches earthquakes by date range, magnitude and optional bounding box. This endpoint is part of the Earthquake API: Real-time earthquakes worldwide from the USGS: recent quakes, quakes near a location, historical search and event details.

Example response (200, application/json)

Success.

1{
2  "count": 3,
3  "source": "USGS",
4  "earthquakes": [
5    {
6      "id": "us6000txpi",
7      "lat": -21.2982,
8      "lon": 168.61,
9      "url": "https://earthquake.usgs.gov/earthquakes/eventpage/us6000txpi",
10      "time": "2026-09-25T21:23:03.309000+00:00",
11      "place": "80 km ENE of Tadine, New Caledonia",
12      "depth_km": 10,
13      "magnitude": 6.6,
14      "alert_level": "green",
15      "felt_reports": 11,
16      "tsunami_warning": false
17    },
18    {
19      "id": "us7000ti1p",
20      "lat": 52.9564,
21      "lon": -171.5033,
22      "url": "https://earthquake.usgs.gov/earthquakes/eventpage/us7000ti1p",
23      "time": "2026-09-17T14:19:52.472000+00:00",
24      "place": "177 km W of Nikolski, Alaska",
25      "depth_km": 98,
26      "magnitude": 6.5,
27      "alert_level": "green",
28      "felt_reports": 8,
29      "tsunami_warning": true
30    },
31    {
32      "id": "us7000tgrk",
33      "lat": -4.9832,
34      "lon": 106.8742,
35      "url": "https://earthquake.usgs.gov/earthquakes/eventpage/us7000tgrk",
36      "time": "2026-09-11T21:23:55.907000+00:00",
37      "place": "126 km NNE of Teluknaga, Indonesia",
38      "depth_km": 372,
39      "magnitude": 6.5,
40      "alert_level": "green",
41      "felt_reports": 21,
42      "tsunami_warning": false
43    }
44  ]
45}

Errors

  • 400 — A required parameter is missing or a value has the wrong format.
    1{
    2  "error": {
    3    "code": "INVALID_INPUT",
    4    "message": "start: Field required"
    5  }
    6}

Gateway errors (missing key, no subscription, rate limits) are listed in Error codes.